package IDEA_Secruity;

import java.sql.*;
import DBClasses.*;
import java.util.*;
import java.lang.*;

// this program implements security function 9 by
// generating an random user outside the door.
// the status and userid of the person is shown.
// no input is required for this program.

class HumanApproaching {

  public static void main(String[] args) {

     dbManager dbman = new dbManager();
     Connection conn = dbman.getConnection();

	 int	status = 0;
	 int	total = 0;
	 int	counter = 0;
	 int	pick = 0;
	 Random generator = new Random();

     try {

	   //all the individuals outside the door are extracted from the database.
       Statement stmt = conn.createStatement();
       String sql = "select pers_handle, pers_status from PEOPLE where pers_location = '0'";
       ResultSet rs = stmt.executeQuery(sql);

       while(rs.next()) //calculating the total number of tuples.
       		total++;

       pick = Math.abs(generator.nextInt(total)); //randomly determining which tuple to be selected

       rs = stmt.executeQuery(sql);

	   //selecting the tuple.
       while(rs.next()){
		   if(counter==pick){
	   			String perhandle = new String(rs.getString(1).trim());
	   			status = rs.getInt(2);
	   			System.out.println(perhandle+" "+status); //printing out the result
	   			break;
			}
			counter++;
		}

	   rs.close();       // close everything (rs, stmt, conn)
	   stmt.close();
       conn.close();

    } catch (Exception e) {
      System.out.println("DB Error!"); // error message if exception occurs
      e.printStackTrace();
    }
  }
}
